src/turb/cs_les_inflow.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
cs_les_inflow.h File Reference
`#include "cs_defs.h"`
`#include "cs_base.h"`
Include dependency graph for cs_les_inflow.h:

Go to the source code of this file.

## Enumerations
enum | cs_inflow_type_t { CS_INFLOW_LAMINAR, CS_INFLOW_RANDOM, CS_INFLOW_BATTEN, CS_INFLOW_SEM }

## Functions
void | defsyn (cs_int_t *n_inletsCS_ARGF_SUPP_CHAINE)
void | synthe (const cs_int_t *const nvar, const cs_int_t *const nscal, const cs_int_t *const iu, const cs_int_t *const iv, const cs_int_t *const iw, const cs_real_t *const ttcabs, const cs_real_t dt[], const cs_real_t rtpa[], const cs_real_t rtp[], const cs_real_t propce[], cs_real_t rcodcl[]CS_ARGF_SUPP_CHAINE)
void | cs_user_les_inflow_init (cs_int_t *nent)
void | cs_user_les_inflow_define (const cs_int_t *const nument, int *typent, int *nelent, int *iverbo, cs_int_t *nfbent, cs_int_t lfbent[], cs_real_t vitent[], cs_real_t *enrent, cs_real_t *dspent)
void | cs_user_les_inflow_advanced (const cs_int_t *const nument, const cs_int_t *const nfbent, const cs_int_t *const nvar, const cs_int_t *const nscal, const cs_int_t lfbent[], const cs_real_t dt[], const cs_real_t rtpa[], const cs_real_t rtp[], const cs_real_t propce[], cs_real_t uent[], cs_real_t rijent[], cs_real_t epsent[])
void | lecsyn (const char *const filnam, const cs_int_t *const lngnamCS_ARGF_SUPP_CHAINE)
void | ecrsyn (const char *const filnam, const cs_int_t *const lngnamCS_ARGF_SUPP_CHAINE)
void | cs_inflow_finalize (void)

## Enumeration Type Documentation

enum cs_inflow_type_t

Enumerator
CS_INFLOW_LAMINAR |
CS_INFLOW_RANDOM |
CS_INFLOW_BATTEN |
CS_INFLOW_SEM |

## Function Documentation

void cs_inflow_finalize | ( | void |  | ) |

void cs_user_les_inflow_advanced | ( | const cs_int_t *const | nument,
|  | const cs_int_t *const | nfbent,
|  | const cs_int_t *const | nvar,
|  | const cs_int_t *const | nscal,
|  | const cs_int_t | lfbent[],
|  | const cs_real_t | dt[],
|  | const cs_real_t | rtpa[],
|  | const cs_real_t | rtp[],
|  | const cs_real_t | propce[],
|  | cs_real_t | uent[],
|  | cs_real_t | rijent[],
|  | cs_real_t | epsent[]
| ) |  |

void cs_user_les_inflow_define | ( | const cs_int_t *const | nument,
|  | int * | typent,
|  | int * | nelent,
|  | int * | iverbo,
|  | cs_int_t * | nfbent,
|  | cs_int_t | lfbent[],
|  | cs_real_t | vitent[],
|  | cs_real_t * | enrent,
|  | cs_real_t * | dspent
| ) |  |

void cs_user_les_inflow_init | ( | cs_int_t * | nent | ) |

void defsyn | ( | cs_int_t * | n_inletsCS_ARGF_SUPP_CHAINE | ) |

void ecrsyn | ( | const char *const | filnam,
|  | const cs_int_t *const | lngnamCS_ARGF_SUPP_CHAINE
| ) |  |

void lecsyn | ( | const char *const | filnam,
|  | const cs_int_t *const | lngnamCS_ARGF_SUPP_CHAINE
| ) |  |

void synthe | ( | const cs_int_t *const | nvar,
|  | const cs_int_t *const | nscal,
|  | const cs_int_t *const | iu,
|  | const cs_int_t *const | iv,
|  | const cs_int_t *const | iw,
|  | const cs_real_t *const | ttcabs,
|  | const cs_real_t | dt[],
|  | const cs_real_t | rtpa[],
|  | const cs_real_t | rtp[],
|  | const cs_real_t | propce[],
|  | cs_real_t rcodcl[] | CS_ARGF_SUPP_CHAINE
| ) |  |